import { PublicKey } from "@solana/web3.js";
import { CollectiveV0, TokenRefV0 } from "./generated/spl-token-collective";
import { TypedAccountParser } from "@strata-foundation/spl-utils";
export interface ITokenRef extends TokenRefV0 {
    publicKey: PublicKey;
}
export declare const TokenRef: TypedAccountParser<ITokenRef>;
export interface ICollective extends CollectiveV0 {
    publicKey: PublicKey;
}
export declare const TokenCollectiveInstance: TypedAccountParser<ICollective & {
    publicKey: PublicKey;
}>;
//# sourceMappingURL=deserializers.d.ts.map